Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Field_Base

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.sw.Field_Base

All Implemented Interfaces:
  Expression, Field

Direct Known Subclasses:
  ClassTypeArgument, Statement, Variable

    abstract class Field_Base

extends Field_Named
implements Field

This class extends the `Field_Named` class to add protected attributes, as used in Java and C++. This is primarily an implementation of the `Field` interface from which all fields in the sw package should inherit.

Version:
  $Revision: 1.7 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.sw.Field
`Field.Access`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Field.Access` | `access` The access (protection) associated with this field.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`Field_Base(java.lang.String _name, Instance _instance, Field.Access _access)` Construct a field with the given name in the given instance.

Method Summary
`Field.Access` | `getAccess()`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, toString, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`copy, getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### access

    protected Field.Access access

  The access (protection) associated with this field.

Constructor Detail

### Field_Base

    public Field_Base(java.lang.String _name,
                      Instance _instance,
                      Field.Access _access)

  Construct a field with the given name in the given instance.

  Parameters:
    `_name` - The name of this field.
    `_instance` - The instance this field will be a member of.
    `_access` - The access (protected) to associate with this field.

Method Detail

### getAccess

    public Field.Access getAccess()

  See Also:
    `Field.getAccess()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD